Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.msg
Class BufferUpdate

    java.lang.Object
      org.gjt.sp.jedit.EBMessage
          org.gjt.sp.jedit.msg.BufferUpdate

public class BufferUpdate
extends EBMessage

Message sent when a buffer-related change occurs.

Since:
  jEdit 2.2pre6
Version:
  $Id: BufferUpdate.java,v 1.8 2002/12/24 17:35:23 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary

Nested classes inherited from class org.gjt.sp.jedit.EBMessage
`EBMessage.NonVetoable`

Field Summary
`static java.lang.Object` | `CLOSED` Buffer closed.
`static java.lang.Object` | `CREATED` Buffer created.
`static java.lang.Object` | `DIRTY_CHANGED` Buffer dirty changed.
`static java.lang.Object` | `LOAD_STARTED` Buffer load started.
`static java.lang.Object` | `LOADED` Buffer loaded.
`static java.lang.Object` | `MARKERS_CHANGED` Buffer markers changed.
`static java.lang.Object` | `MODE_CHANGED` Deprecated. No longer sent. Listen for PROPERTIES_CHANGED instead.
`static java.lang.Object` | `PROPERTIES_CHANGED` Properties changed.
`static java.lang.Object` | `SAVED` Buffer saved.
`static java.lang.Object` | `SAVING` Buffer saving.

Constructor Summary
`BufferUpdate(Buffer buffer, View view, java.lang.Object what)` Creates a new buffer update message.

Method Summary
`Buffer` | `getBuffer()` Returns the buffer involved.
`View` | `getView()` Returns the view involved, which may be null.
`java.lang.Object` | `getWhat()` Returns what caused this buffer update.
`java.lang.String` | `paramString()` Returns a string representation of this message's parameters.

Methods inherited from class org.gjt.sp.jedit.EBMessage
`getSource, isVetoed, toString, veto`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATED

    public static final java.lang.Object CREATED

  Buffer created.

### LOAD_STARTED

    public static final java.lang.Object LOAD_STARTED

  Buffer load started.

  Since:
    jEdit 2.6pre1

### LOADED

    public static final java.lang.Object LOADED

  Buffer loaded.

### CLOSED

    public static final java.lang.Object CLOSED

  Buffer closed.

### DIRTY_CHANGED

    public static final java.lang.Object DIRTY_CHANGED

  Buffer dirty changed.

### MARKERS_CHANGED

    public static final java.lang.Object MARKERS_CHANGED

  Buffer markers changed.

### SAVING

    public static final java.lang.Object SAVING

  Buffer saving.

### SAVED

    public static final java.lang.Object SAVED

  Buffer saved.

  Since:
    jEdit 4.0pre4

### PROPERTIES_CHANGED

    public static final java.lang.Object PROPERTIES_CHANGED

  Properties changed.

  Since:
    jEdit 4.1pre1

### MODE_CHANGED

    public static final java.lang.Object MODE_CHANGED

  Deprecated. No longer sent. Listen for PROPERTIES_CHANGED instead.

Constructor Detail

### BufferUpdate

    public BufferUpdate(Buffer buffer,
                        View view,
                        java.lang.Object what)

  Creates a new buffer update message.

Parameters:
  `buffer` - The buffer
  `what` - What happened

Method Detail

### getWhat

    public java.lang.Object getWhat()

  Returns what caused this buffer update.

### getBuffer

    public Buffer getBuffer()

  Returns the buffer involved.

### getView

    public View getView()

  Returns the view involved, which may be null.

### paramString

    public java.lang.String paramString()

  Description copied from class: `EBMessage`
  Returns a string representation of this message's parameters.

  Overrides:
    `paramString` in class `EBMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD